com.mysql.jdbc

## Class LicenseConfiguration

- java.lang.Object
- - com.mysql.jdbc.LicenseConfiguration

     class LicenseConfiguration
    extends java.lang.Object

Used in commercially-licensed clients that require connections to commercially-licensed servers as part of the licensing terms.

### Method Summary

Methods
`(package private) static void` `checkLicenseType(java.util.Map<java.lang.String,java.lang.String> serverVariables)` Used in commercially-licensed clients that require connections to commercially-licensed servers as part of the licensing terms.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### checkLicenseType

    static void checkLicenseType(java.util.Map<java.lang.String,java.lang.String> serverVariables)
                          throws java.sql.SQLException

Used in commercially-licensed clients that require connections to commercially-licensed servers as part of the licensing terms.

Parameters:
  `serverVariables` - a Map of the output of 'show variables' from the server we're connecting to.
Throws:
  `java.sql.SQLException` - if commercial license is required, but not found